Debian DSA-3160-1 : xorg-server - security update

medium Nessus Plugin ID 81301

Synopsis

The remote Debian host is missing a security-related update.

Description

Olivier Fourdan discovered that missing input validation in the Xserver's handling of XkbSetGeometry requests may result in an information leak or denial of service.

Solution

Upgrade the xorg-server packages.

For the stable distribution (wheezy), this problem has been fixed in version 2:1.12.4-6+deb7u6.

See Also

https://packages.debian.org/source/wheezy/xorg-server

https://www.debian.org/security/2015/dsa-3160

Plugin Details

Severity: Medium

ID: 81301

File Name: debian_DSA-3160.nasl

Version: 1.9

Type: local

Agent: unix

Published: 2/12/2015

Updated: 1/11/2021

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.2

CVSS v2

Risk Factor: Medium

Base Score: 6.4

Temporal Score: 4.7

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:xorg-server, cpe:/o:debian:debian_linux:7.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 2/11/2015

Reference Information

CVE: CVE-2015-0255

BID: 72578

DSA: 3160